import sys
from os import sep
sys.path.append('..'+sep+'pyvolution')


import least_squares


mesh_file = 'Merimbula_17540_refined.tsh'
point_file = 'XYmerimbula_bathymetry.xya'
mesh_output_file = 'Merimbula_17540_refined_bathymetry.tsh'


least_squares.fit_to_mesh_file(mesh_file, point_file, mesh_output_file,
                     alpha=0.001, verbose= True,
                     expand_search = False,
                     data_origin = None,
                     mesh_origin = None,
                     precrop = True)
